import { ImageContract } from "../../image.contract";
import { ActionContract } from '../elements/action.contract';
import { ToolbarContract } from '../elements/toolbar.contract';

export interface CollectorContract{
    title: string;
    totalItems: number;
    currentPage: number;
    loadStatus?: boolean;
    image?: ImageContract;
    icon?: string;
    align?: 'start' | 'center' | 'end' | 'between' | 'around';
    actions?: ActionContract[];
    toolbars?: ToolbarContract[];
    id?: string;
    items: any;
    viewType: 'cards' | 'lists' | 'table';
}