import { ImageContract } from '../../image.contract';
import { ActionContract } from './action.contract';
import { ToolbarContract } from './toolbar.contract';
import { SocialHookContract } from './social-hook.contract';
import { MetaContract } from '../../meta.contract';
import { UrlContract } from '../../url.contract';

export interface CardContract{
    id?: number;
    title: string;
    summary?: string;
    image?: string | ImageContract;
    actions?: ActionContract[];
    toolbars?: ToolbarContract[];
    socialHook?: SocialHookContract;
    list?: MetaContract[];
    meta?: MetaContract[];
    url?: string | UrlContract;
    boldPhrase?: string | number;
    shyPhrase?: string | number;
    dropZone?: string[];
    titlePosition?: 'top' | 'bottom';
}