import { ImageContract } from '../../image.contract';
import { ActionContract } from './action.contract';
import { ToolbarContract } from './toolbar.contract';
import { MetaContract } from '../../meta.contract';
import { SocialHookContract } from './social-hook.contract';

export interface DocketContract{
    id?: number;
    title: string;
    columns: string[];
    rows: string[][]
    summary?: number;
    image?: ImageContract;
    actions?: ActionContract[];
    toolbars?: ToolbarContract[];
    socialHook?: SocialHookContract;
    meta?: MetaContract[];
}