import { ImageContract } from '../../image.contract';
import { ActionContract } from './action.contract';
import { ToolbarContract } from './toolbar.contract';
import { SocialHookContract } from './social-hook.contract';
import { MetaContract } from '../../meta.contract';

export interface TableContract{
    id?: number;
    title: string;
    columns: string[];
    rows: string[][]
    summary?: number;
    image?: ImageContract;
    actions: ActionContract[];
    toolbars?: ToolbarContract[];
    meta?: MetaContract[];
    dropZone?: string[];
    socialHook?: SocialHookContract;
}