import { CollectorContract } from "../collection";

export interface SearchBarContract{
    type: 'input-group' | 'input-group-sm' | 'input-group-md' | 'input-group-lg' | 'input-group-xl';
    filters?: string[];
    placeholder?: string; 
    results?: CollectorContract; 
    onKey?: (key: string) => void;
    onSearch?: (query: string) => void;
}
