import { Injectable } from '@angular/core';
import { ActionContract } from "../../contracts";
import { BaseActionsService } from "./base.actions";

@Injectable()
export class NavigationActionsService extends BaseActionsService{

    createAction(event){
        return this.router.navigate(['create'],  { relativeTo: this.route });
    }
    soloAction(event, id){
        return this.router.navigate(['solo', id],  { relativeTo: this.route });
    }
    collectionAction(event){
        return this.router.navigate(['../'],  { relativeTo: this.route });
    }
    editAction(event, id){
        return this.router.navigate(['edit', id],  { relativeTo: this.route });
    }
    deleteAction(event, id){
        // this.agent.go((status, agent) => {
        //   if(status){
        //     agent.niche(id).delete((response) => {
        //       if(response == true){
        //         this.router.navigate(['/collection']);
        //         this.toastMaker.toast('Delete Action', 'Item was deleted succesfully.');
        //       }
        //       else{        
        //           this.toastMaker.toast('Delete Action', 'Unable to delete item. Try again.');
        //       }
        //     }); 
        //   }
        // }); 
    }

    // itemActions(): ActionContract{
    //     return {
    //         title: 'options',
    //         type: 'dropdown',
    //         icon: 'ellipsis-v',
    //         actions: {
    //           solo: this.soloAction,
    //           edit: this.editAction,
    //           delete: this.deleteAction
    //         }  
    //     };
    // }
    // formComponentActions(): ActionContract{
    //     return {
    //         title: 'options',
    //         type: 'dropdown',
    //         icon: 'bars',
    //         actions: {
    //           collection: this.collectionAction,
    //           'back to item': this.soloAction
    //         }  
    //     };
    // }
    // soloComponentActions(): ActionContract{
    //     return {
    //         title: 'options',
    //         type: 'dropdown',
    //         icon: 'bars',
    //         actions: {
    //           edit: this.editAction,
    //           delete: this.deleteAction,
    //           'back to collection': this.collectionAction
    //         }  
    //     };
    // }
    // collectorComponentActions(): ActionContract{
    //     return {
    //         title: 'options',
    //         type: 'dropdown',
    //         icon: 'bars',
    //         actions: {
    //           create: this.createAction
    //         }  
    //     };
    // }
    // all(): ActionContract{
    //     return {
    //         title: 'options',
    //         type: 'dropdown',
    //         icon: 'bars',
    //         actions: {
    //           create: this.createAction,
    //           solo: this.soloAction,
    //           collection: this.collectionAction,
    //           edit: this.editAction,
    //           delete: this.deleteAction
    //         }  
    //     };
    // }
}
