import { Injectable } from '@angular/core';
import { SlimLoadingBarService } from 'ng2-slim-loading-bar';

@Injectable()
export class SlimLoaderWrapperService{

    constructor(private slimLoaderService: SlimLoadingBarService) {}

    start() {
        this.slimLoaderService.start(() => {
        });
    }

    stop() {
        this.slimLoaderService.stop();
    }

    reset() {
        this.slimLoaderService.reset();
    }

    complete() {
        this.slimLoaderService.complete();
    }
}