import { ImageContract } from '../../image.contract';

export interface CommandPaneContract{
    title: string;
    type: 'button' | 'dropdown' | 'social-hook' | 'custom'; 
    icon?: string;
    actions?: { [actionName: string]: (event?: any, id?: number) => void };
    data?: Object;
    
    commands?: Map<string, string>[];
}