import { ImageContract } from '../../image.contract';
import { ActionContract } from './action.contract';
import { ToolbarContract } from './toolbar.contract';
import { MetaContract } from '../../meta.contract';
import { UrlContract } from '../../url.contract';
import { SocialHookContract } from './social-hook.contract';

export interface ListContract{
    id?: number;
    title: string;
    summary?: string;
    image?: string | ImageContract;
    toolbars?: ToolbarContract[];
    actions?: ActionContract[];
    meta?: MetaContract[];
    assets?: Object[];
    url?: string | UrlContract;
    align?: 'start' | 'center' | 'end';
    dropZone?: string[];
    socialHook?: SocialHookContract;
}