import { Injectable } from '@angular/core';
import { BagService } from './services';

export const BASE_URL = 'http://127.0.0.1:8000/api';

export const SB_CORE_CONFIG = {
    agent : {
        key : 'springbok',
        token : '7b839edbd62d1bb025782785be46fa1ee2586a16814684b256360e42d9ac5a56'
    },
    headers : [
        {
            key : 'Content-Type',
            value : 'application/x-www-form-urlencoded'
        },
        { 
            key : 'Accept',
            value : 'application/vnd.commodity.v1+json'
        }
    ],
    urls : {
      base: BASE_URL,  
      version : BASE_URL + '/version',
      user : {
          index: BASE_URL + '/user',
          token: BASE_URL + '/user/token',  
          reset: BASE_URL + '/user/reset'
      },
      client : {
          index: BASE_URL + '/client',
          token: BASE_URL + '/client/token',
          reset: BASE_URL + '/client/reset'
      },
      proprietor : {
          index: BASE_URL + '/proprietor',
          token: BASE_URL + '/proprietor/token',
          reset: BASE_URL + '/proprietor/reset'
      },
      bot : {
          index: BASE_URL + '/springbok'
      }
    }
};