import { Injectable } from '@angular/core';
import { Resource } from './resource.model';

@Injectable()
export class Person extends Resource{

    token(body: Object, callback: (response) => void) {   
        this.req.aPost(`${this.req.urls.base}/${this.type}/token`, body, (response) => {
            callback(response);
        });      
    }
    
    reset(body: Object, callback: (response) => void) {     
        this.req.aPost(`${this.req.urls.base}/${this.type}/reset`, body, (response) => {
            callback(response);
        });           
    }
}