import { Injectable } from '@angular/core';

@Injectable()
export class HelperService {

  keys(obj: Object){
    return Object.keys(obj);
  }

  cut(oldStr, fullStr) {
    return fullStr.split(oldStr).join('');
  }

  titleCase(words: string){
    return words.split(' ').map((word)=>{
      return word.charAt(0).toUpperCase() + word.slice(1).toLowerCase();
    }).join(' ');
  }
}